Bug 1296670 - [abrt] epiphany-runtime: gdk_wayland_device_get_focus(): epiphany killed by SIGSEGV
[abrt] epiphany-runtime: gdk_wayland_device_get_focus(): epiphany killed by S...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d265206890cab1ca46a32af40f5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 14:33 EST by Stephen Gallagher
Modified: 2016-01-22 13:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-22 13:11:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (72.35 KB, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details
File: cgroup (244 bytes, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details
File: core_backtrace (13.46 KB, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details
File: dso_list (13.70 KB, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details
File: environ (997 bytes, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details
File: maps (69.73 KB, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details
File: mountinfo (3.71 KB, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details
File: open_fds (2.07 KB, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details
File: var_log_messages (12.11 KB, text/plain)
2016-01-07 14:33 EST, Stephen Gallagher
no flags Details

  None (edit)
Description Stephen Gallagher 2016-01-07 14:33:33 EST
Description of problem:
I launched Web (Epiphany) under GNOME (gnome-shell-3.19.3-1.fc24.x86_64) running on Wayland.

The initial browser came up and displayed the last page I had viewed. I attempted to click the menu button on the upper right of the browser (the three horizontal line icon). The browser immediately crashed.

Version-Release number of selected component:
epiphany-runtime-3.19.1-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        epiphany
crash_function: gdk_wayland_device_get_focus
executable:     /usr/bin/epiphany
global_pid:     16065
kernel:         4.4.0-0.rc8.git0.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            13041

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_wayland_device_get_focus at gdkdevice-wayland.c:491
 #1 gdk_wayland_seat_grab at gdkdevice-wayland.c:2466
 #2 popup_grab_on_window at gtkmenu.c:1509
 #3 gtk_menu_popup_for_device at gtkmenu.c:1686
 #4 popup_menu at gtkmenubutton.c:423
 #5 gtk_menu_button_clicked at gtkmenubutton.c:454
 #6 _g_closure_invoke_va at gclosure.c:867
 #9 gtk_button_do_release at gtkbutton.c:1839
 #10 gtk_real_button_released at gtkbutton.c:1957
 #11 _g_closure_invoke_va at gclosure.c:867
Comment 1 Stephen Gallagher 2016-01-07 14:33:39 EST
Created attachment 1112578 [details]
File: backtrace
Comment 2 Stephen Gallagher 2016-01-07 14:33:40 EST
Created attachment 1112579 [details]
File: cgroup
Comment 3 Stephen Gallagher 2016-01-07 14:33:42 EST
Created attachment 1112580 [details]
File: core_backtrace
Comment 4 Stephen Gallagher 2016-01-07 14:33:43 EST
Created attachment 1112581 [details]
File: dso_list
Comment 5 Stephen Gallagher 2016-01-07 14:33:45 EST
Created attachment 1112582 [details]
File: environ
Comment 6 Stephen Gallagher 2016-01-07 14:33:46 EST
Created attachment 1112583 [details]
File: exploitable
Comment 7 Stephen Gallagher 2016-01-07 14:33:47 EST
Created attachment 1112584 [details]
File: limits
Comment 8 Stephen Gallagher 2016-01-07 14:33:49 EST
Created attachment 1112585 [details]
File: maps
Comment 9 Stephen Gallagher 2016-01-07 14:33:50 EST
Created attachment 1112586 [details]
File: mountinfo
Comment 10 Stephen Gallagher 2016-01-07 14:33:52 EST
Created attachment 1112587 [details]
File: namespaces
Comment 11 Stephen Gallagher 2016-01-07 14:33:53 EST
Created attachment 1112588 [details]
File: open_fds
Comment 12 Stephen Gallagher 2016-01-07 14:33:55 EST
Created attachment 1112589 [details]
File: proc_pid_status
Comment 13 Stephen Gallagher 2016-01-07 14:33:56 EST
Created attachment 1112590 [details]
File: var_log_messages
Comment 14 Michael Catanzaro 2016-01-07 15:01:20 EST
It seems to be a regression in the GDK Wayland backend.
Comment 15 Carlos Garnacho 2016-01-08 16:06:31 EST
This is fixed in https://git.gnome.org/browse/gtk+/commit/id=fc2879108d577ced23b46ca636be72e1883c3666, it will be available in the next gtk+ release.

Note You need to log in before you can comment on or make changes to this bug.